PROJ = fortvb
PROJFILE = fortvb.mak
DEBUG = 1

PWBRMAKE  = pwbrmake
NMAKEBSC1  = set
NMAKEBSC2  = nmake
CC  = cl
CFLAGS_G  = /W2 /ASw /Gw /Zp /BATCH
CFLAGS_D  = /Zi /Gi$(PROJ).mdt /Od /Gs /FPa
CFLAGS_R  = /Oe /Og /Os /Gs /FPa
FOR  = fl
FORFLAGS_G  = /Gw /Aw /G2
FORFLAGS_R  = /Ot /Ol /Gs
FORFLAGS_D  = /Zi /Od
MAPFILE_D  = NUL
MAPFILE_R  = NUL
LFLAGS_G  = /BATCH
LFLAGS_D  = /CO /FAR /PACKC
LFLAGS_R  = /NOF
LINKER  = link
ILINK  = ilink
LRF  = echo > NUL
RC  = rc
IMPLIB  = implib
LLIBS_R  =  /NOD:LLIBFOR7 LDLLFEW
LLIBS_D  =  /NOD:LLIBFOR7 LDLLFEW

DEF_FILE  = FORTVB.DEF
OBJS  = FORTVB.obj
SBRS  = FORTVB.sbr

all: $(PROJ).dll

.SUFFIXES:
.SUFFIXES: .obj .sbr .for

FORTVB.obj : FORTVB.FOR

FORTVB.sbr : FORTVB.FOR


$(PROJ).bsc : $(SBRS)
        $(PWBRMAKE) @<<
$(BRFLAGS) $(SBRS)
<<

$(PROJ).dll : $(DEF_FILE) $(OBJS)
!IF $(DEBUG)
        $(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
        $(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
        $(LINKER) @$(PROJ).lrf
        $(IMPLIB) $*.lib $@


.for.obj :
!IF $(DEBUG)
        $(FOR) /c $(FORFLAGS_G) $(FORFLAGS_D) /Fo$@ $<
!ELSE
        $(FOR) /c $(FORFLAGS_G) $(FORFLAGS_R) /Fo$@ $<
!ENDIF

.for.sbr :
!IF $(DEBUG)
        $(FOR) /Zs $(FORFLAGS_G) $(FORFLAGS_D) /FR$@ $<
!ELSE
        $(FOR) /Zs $(FORFLAGS_G) $(FORFLAGS_R) /FR$@ $<
!ENDIF


run: $(PROJ).dll
        

debug: $(PROJ).dll
        
